Skip to content

Determine whether the user has a certain role

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Determine whether the user has a certain role through the user ID. Supports passing in multiple roles, and can choose to specify the user ID type, etc.

Method name

ManagementClient.has_any_role

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
roles<a HasRoleRolesDto[]Yes-Role list
userIdstringYes-The unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
options<a HasAnyRoleOptionsDtoNo-Optional parameters

Request Response

Type: HasAnyRoleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a HasAnyRoleDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "hasAnyRole": true
  }
}

Data Structure

HasRoleRolesDto

NameTypeRequiredDescriptionSample value
namespacestringNoCode of the permission group (permission space). If not passed, the default permission group is obtained.default
codestringyesrole codeadmin

HasAnyRoleOptionsDto

| Name | Type | Is it required? | Description | Sample value | | ---------- | ------ | -------------------------------------- | ---------------------------- ... 6319a1504f3xxxxf214dd5b7
- phone: user's phone number
- email: user's email address
- username: user name
- external_id: user's ID in the external system, corresponding to the externalId field in the GenAuth user information
- identity: user's external identity source information, in the format of <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the user's ID in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the type of sync identity source, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
| user_id |

HasAnyRoleDto

NameTypeIs it required?DescriptionSample value
hasAnyRolebooleanYesDoes it have any of the roles?true

Agent infrastructure for identity, memory, and web action.